# Class yii\base\UnknownPropertyException

Inheritance | yii\base\UnknownPropertyException » yii\base\Exception » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/UnknownPropertyException.php

UnknownPropertyException represents an exception caused by accessing unknown object properties.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\base\UnknownPropertyException

## Method Details

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception